Package com.smartgwt.client.widgets.form.fields

# Class SelectOtherItem

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.data.Field
com.smartgwt.client.widgets.form.fields.FormItem
com.smartgwt.client.widgets.form.fields.SelectItem
com.smartgwt.client.widgets.form.fields.SelectOtherItem

All Implemented Interfaces:
  `HasHandlers`, `HasBlurHandlers`, `HasChangedHandlers`, `HasChangeHandlers`, `HasClickHandlers`, `HasDataArrivedHandlers`, `HasDoubleClickHandlers`, `HasEditorEnterHandlers`, `HasEditorExitHandlers`, `HasFocusHandlers`, `HasIconClickHandlers`, `HasIconKeyPressHandlers`, `HasItemHoverHandlers`, `HasKeyDownHandlers`, `HasKeyPressHandlers`, `HasKeyUpHandlers`, `HasPendingStatusChangedHandlers`, `HasPickerIconClickHandlers`, `HasShowContextMenuHandlers`, `HasTitleClickHandlers`, `HasTitleDoubleClickHandlers`, `HasTitleHoverHandlers`, `HasValueHoverHandlers`, `HasValueIconClickHandlers`, `PickList`

public class SelectOtherItem extends SelectItem
FormItem that shows a list of options, plus an "Other..." option that allows them to enter another value.

Note - SelectOtherItem does not support using an `optionDataSource`, instead, use a normal `SelectItem` and use the `specialValues` to implement a way to add new DataSource records to the `optionDataSource`. This creates a UI more appropriate to `optionDataSource`: the `otherValue` option or options can be placed at the top of the list, so that scrolling to the bottom of a long list is not required. In addition, the `specialValues` system allows you to open a custom form or other UI for adding new DataSource records, rather than just the simple single-value input dialog of SelectOtherItem.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.smartgwt.client.widgets.form.fields.FormItem

  `FormItem.CustomStateGetter, FormItem.StateCustomizer`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.widgets.form.fields.FormItem

  `configOnly, scClassName, warnOnEditorTypeConversion, warnOnEditorTypeConversionDefault`

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SelectOtherItem()`
  `SelectOtherItem(JavaScriptObject jsObj)`
  `SelectOtherItem(String name)`
  `SelectOtherItem(String name, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `changeAutoChildDefaults(String autoChildName, Canvas defaults)`
  Changes the defaults for Canvas AutoChildren named `autoChildName`.
  `static void`
  `changeAutoChildDefaults(String autoChildName, FormItem defaults)`
  Changes the defaults for FormItem AutoChildren named `autoChildName`.
  `static void`
  `changePickerIconDefaults(FormItemIcon defaults)`
  `int`
  `getDialogWidth()`
  Width for the "other value" prompt dialog.
  `static SelectOtherItem`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getOtherTitle()`
  Title for the `Other...` item.
  `String`
  `getOtherValue()`
  Data value for the `Other...` item.
  `String`
  `getSelectOtherPrompt()`
  Title to show in prompt for "other" value.
  `String`
  `getSeparatorTitle()`
  Title for the separator between normal items and the `Other...` item in the drop down list.
  `String`
  `getSeparatorValue()`
  Value for the separator item between normal items and the `Other...` value.
  `static void`
  `setDefaultProperties(SelectOtherItem selectOtherItemProperties)`
  Class level method to set the default properties of this class.
  `SelectOtherItem`
  `setDialogWidth(int dialogWidth)`
  Width for the "other value" prompt dialog.
  `SelectOtherItem`
  `setOtherTitle(String otherTitle)`
  Title for the `Other...` item.
  `SelectOtherItem`
  `setOtherValue(String otherValue)`
  Data value for the `Other...` item.
  `SelectOtherItem`
  `setSelectOtherPrompt(String selectOtherPrompt)`
  Title to show in prompt for "other" value.
  `SelectOtherItem`
  `setSeparatorTitle(String separatorTitle)`
  Title for the separator between normal items and the `Other...` item in the drop down list.
  `SelectOtherItem`
  `setSeparatorValue(String separatorValue)`
  Value for the separator item between normal items and the `Other...` value.

  ### Methods inherited from class com.smartgwt.client.widgets.form.fields.SelectItem

  `addDataArrivedHandler, defaultDynamicValue, fetchData, fetchData, fetchData, filterClientPickListData, getAddUnknownValues, getAllowEmptyValue, getAllowMultiCharSearch, getAnimatePickList, getAnimationTime, getAutoFetchData, getAutoOpenTree, getCachePickListResults, getCanSelectText, getClickMaskMode, getClientPickListData, getControlStyle, getDataSetType, getDefaultToFirstOption, getDefaultValue, getDisplayField, getDisplayFieldName, getEditProxyConstructor, getEmptyDisplayValue, getEmptyPickListHeight, getEmptyPickListMessage, getEscapeHTML, getFetchDelay, getFetchDisplayedFieldsOnly, getFilterLocally, getHideEmptyPickList, getIconPlacement, getInitialSort, getMultiple, getMultipleAppearance, getOpenOnDownArrow, getOpenOnSpace, getOptionDataSource, getOptionOperationId, getPickerClearButton, getPickerClearButtonTitle, getPickerExitButton, getPickerExitButtonTitle, getPickerIconHeight, getPickerIconPrompt, getPickerIconSrc, getPickerIconStyle, getPickerIconWidth, getPickerNavigationBar, getPickList, getPickListBaseStyle, getPickListCellHeight, getPickListConstructor, getPickListCriteria, getPickListFields, getPickListFilterCriteria, getPickListHeaderHeight, getPickListHeight, getPickListMaxWidth, getPickListPlacement, getPickListPlacementAsCanvas, getPickListPlacementAsString, getPickListWidth, getPickTreeConstructor, getProgressiveLoading, getRootNodeId, getRootNodeIdAsInt, getSaveOnEnter, getSelectedRecord, getSelectedRecords, getSeparateSpecialValues, getSeparateValuesList, getShowAllOptions, getShowFocused, getShowHintInField, getShowOptionsFromDataSource, getShowOver, getShowPickerIcon, getSingleClickFolderToggle, getSortField, getSortFieldAsInt, getSortFieldAsStringArray, getSpecialValues, getTextBoxStyle, getTextMatchStyle, getUpdateControlOnOver, getUpdateTextBoxOnOver, getUseClientFiltering, getValueAsString, getValueField, getValueFieldName, getValueIconField, getValues, isMultiple, pendingStatusChanged, setAddUnknownValues, setAllowEmptyValue, setAllowMultiCharSearch, setAnimatePickList, setAnimationTime, setAutoFetchData, setAutoOpenTree, setCachePickListResults, setCanSelectText, setClickMaskMode, setControlStyle, setDataSetType, setDefaultProperties, setDefaultToFirstOption, setDefaultValues, setDefaultValues, setDisplayField, setEditProxyConstructor, setEmptyDisplayValue, setEmptyPickListHeight, setEmptyPickListMessage, setEscapeHTML, setFetchDelay, setFetchDisplayedFieldsOnly, setFilterLocally, setHideEmptyPickList, setIconPlacement, setInitialSort, setMultiple, setMultipleAppearance, setOpenOnDownArrow, setOpenOnSpace, setOptionDataSource, setOptionFilterContext, setOptionOperationId, setPickerClearButtonTitle, setPickerExitButtonTitle, setPickerIconHeight, setPickerIconPrompt, setPickerIconSrc, setPickerIconStyle, setPickerIconWidth, setPickListBaseStyle, setPickListCellHeight, setPickListConstructor, setPickListCriteria, setPickListCriteria, setPickListFields, setPickListFilterCriteriaFunction, setPickListFilterCriteriaFunction, setPickListHeaderHeight, setPickListHeight, setPickListMaxWidth, setPickListPlacement, setPickListPlacement, setPickListPlacement, setPickListProperties, setPickListSort, setPickListWidth, setPickTreeConstructor, setProgressiveLoading, setRootNodeId, setRootNodeId, setSaveOnEnter, setSeparateSpecialValues, setSeparatorRows, setShowAllOptions, setShowFocused, setShowHintInField, setShowOptionsFromDataSource, setShowOver, setShowPickerIcon, setSingleClickFolderToggle, setSortField, setSortField, setSortField, setSpecialValues, setSpecialValues, setSpecialValues, setTextBoxStyle, setTextMatchStyle, setUpdateControlOnOver, setUpdateTextBoxOnOver, setUseClientFiltering, setValueField, setValueIconField, setValues, showPicker`

  ### Methods inherited from class com.smartgwt.client.widgets.form.fields.FormItem

  `_getValue, addBlurHandler, addChangedHandler, addChangeHandler, addClickHandler, addDoubleClickHandler, addEditorEnterHandler, addEditorExitHandler, addFocusHandler, addIcon, addIcon, addIconClickHandler, addIconKeyPressHandler, addItemHoverHandler, addKeyDownHandler, addKeyPressHandler, addKeyUpHandler, addPendingStatusChangedHandler, addPickerIconClickHandler, addShowContextMenuHandler, addTitleClickHandler, addTitleDoubleClickHandler, addTitleHoverHandler, addValueHoverHandler, addValueIconClickHandler, applyFormula, asSGWTComponent, blurItem, canEditCriterion, checkFormItemType, clearErrors, clearValue, disable, disableIcon, enable, enableIcon, error, error, errorIfNotCreated, focusAfterItem, focusInItem, getAccessKey, getAlign, getAllowExpressions, getAlwaysFetchMissingValues, getAlwaysShowControlBox, getApplyAlignToText, getApplyHeightToTextBox, getAriaRole, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsObject, getAttributeAsString, getAutoComplete, getAutoCompleteKeywords, getBrowserInputType, getBrowserSpellCheck, getCanEdit, getCanEditOpaqueValues, getCanFocus, getCanHover, getCanTabToIcons, getCanvasAutoChild, getCellHeight, getCellStyle, getChangeOnKeypress, getClassName, getClipStaticValue, getClipTitle, getConfig, getContainerWidget, getCriteriaField, getCriterion, getCriterion, getCursorPosition, getCustomState, getDataPath, getDateFormatter, getDecimalPad, getDecimalPrecision, getDefaultIconSrc, getDefaultOperator, getDeferActionConversion, getDestroyed, getDisabled, getDisabledHover, getDisableIconsOnReadOnly, getDisplayValue, getDisplayValue, getEditorTypeConfig, getEditPendingCSSText, getEmptyValueIcon, getEnableTitleClickWhenDisabled, getEndRow, getErrorIconHeight, getErrorIconProperties, getErrorIconSrc, getErrorIconWidth, getErrorMessageWidth, getErrors, getExportFormat, getExtraControlTableCSS, getExtraTextBoxCSS, getFetchMissingValues, getFieldName, getForeignDisplayField, getForm, getFormat, getFormItemAutoChild, getFormula, getFullDataPath, getGlobalTabIndex, getGridColNum, getGridRowNum, getHeight, getHeightAsString, getHidden, getHint, getHintStyle, getHoverAlign, getHoverDelay, getHoverFocusKey, getHoverHeight, getHoverHeightAsString, getHoverOpacity, getHoverPersist, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWidthAsString, getIcon, getIconBaseStyle, getIconHeight, getIconHSpace, getIconPageRect, getIconPrompt, getIconRect, getIcons, getIconTabPosition, getIconVAlign, getIconWidth, getID, getImageURLPrefix, getImageURLSuffix, getImplicitSave, getImplicitSaveOnBlur, getInputFormat, getLeft, getLinearColSpan, getLinearColSpanAsString, getLinearEndRow, getLinearEndRowAsString, getLinearStartRow, getLinearStartRowAsString, getLinearWidth, getLinearWidthAsString, getListGrid, getLoadingDisplayValue, getLocateItemBy, getMinHintWidth, getMultipleValueSeparator, getName, getNullOriginalValueText, getOperator, getOptionCriteria, getOptionDataSourceAsString, getOptionFilterContext, getOptionTextMatchStyle, getOriginalValueMessage, getPageLeft, getPageRect, getPageTop, getPaletteDefaults, getPermanentlyHidden, getPicker, getPickerIcon, getPickerIcon, getPickerIconName, getPickerIconProperties, getPickerIconTabPosition, getPickerSnapEdge, getPickerSnapTo, getPixelHeight, getPixelWidth, getPrintReadOnlyTextBoxStyle, getPrintTextBoxStyle, getPrintTitleStyle, getPrompt, getReadOnlyCanSelectText, getReadOnlyControlStyle, getReadOnlyDisplay, getReadOnlyHover, getReadOnlyTextBoxStyle, getReadOnlyWhen, getRect, getRedrawOnChange, getRejectInvalidValueOnChange, getRequired, getRequiredMessage, getRequiredRightTitlePrefix, getRequiredRightTitleSuffix, getRequiredTitlePrefix, getRequiredTitleSuffix, getRequiredWhen, getRightTitlePrefix, getRightTitleSuffix, getRowSpan, getScClassName, getSelectOnClick, getSelectOnFocus, getShouldSaveValue, getShowClippedTitleOnHover, getShowClippedValueOnHover, getShowDeletions, getShowDisabled, getShowDisabledIconsOnFocus, getShowDisabledPickerIconOnFocus, getShowErrorIcon, getShowErrorIconInline, getShowErrorStyle, getShowErrorText, getShowFocusedErrorState, getShowFocusedIcons, getShowFocusedPickerIcon, getShowHint, getShowIcons, getShowIconsOnFocus, getShowImageAsURL, getShowOldValueInHover, getShowOverIcons, getShowPending, getShowPickerIconOnFocus, getShowPickerOnFocus, getShowPickerOnFocusDelay, getShowRTL, getShowTitle, getShowValueIconOnly, getShowVoiceAssistIcon, getStartRow, getStaticHeight, getStopOnError, getStoreDisplayValues, getSupportsCutPasteEvents, getSuppressOptionDSFallback, getSuppressValueIcon, getSynchronousValidation, getTabIndex, getTextAlign, getTextBoxVPad, getTextFormula, getTimeFormatter, getTitle, getTitleAlign, getTitleColSpan, getTitleOrientation, getTitlePrefix, getTitleStyle, getTitleSuffix, getTitleVAlign, getTooltip, getTop, getTreatEmptyAsNull, getType, getUpdatePickerIconOnOver, getUseAdvancedCriteria, getUseDisabledHintStyleForReadOnly, getUseLocalDisplayFieldValue, getValidateOnChange, getValidateOnExit, getValidOperators, getVAlign, getValue, getValueAsFloat, getValueAsInteger, getValueAsLong, getValueAsRecordList, getValueDeselectedCSSText, getValueIconAriaRole, getValueIconHeight, getValueIconLeftPadding, getValueIconRightPadding, getValueIconSize, getValueIconWidth, getValueMap, getValueMapAsArray, getVisible, getVisibleHeight, getVisibleTitleWidth, getVisibleWhen, getVisibleWidth, getWarnOnEditorTypeConversion, getWarnOnEditorTypeConversionDefault, getWidth, getWidthAsString, getWrapHintText, getWrapStaticValue, getWrapTitle, handleWarnOnEditorTypeConversion, hasAdvancedCriteria, hasErrors, hide, hideIcon, invalidateDisplayValueCache, isAssignableFrom, isConfigOnly, isCreated, isCutEvent, isDisabled, isDrawn, isFocused, isInGrid, isPasteEvent, isVisible, linkToInstanceUponCreate, mapDisplayToValue, mapValueToDisplay, mapValueToDisplay, mapValueToDisplay, redraw, redraw, removeIcon, selectedRecordChanged, setAccessKey, setAlign, setAllowExpressions, setAlwaysFetchMissingValues, setAlwaysShowControlBox, setApplyAlignToText, setApplyHeightToTextBox, setAriaRole, setAriaState, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoComplete, setAutoCompleteKeywords, setBrowserInputType, setBrowserSpellCheck, setCanEdit, setCanEditCriterionPredicate, setCanEditOpaqueValues, setCanFocus, setCanHover, setCanTabToIcons, setCellHeight, setCellStyle, setChangeOnKeypress, setClipStaticValue, setClipTitle, setColSpan, setColSpan, setConfigOnly, setCriteriaField, setCriterion, setCriterionGetter, setCriterionSetter, setCustomStateGetter, setDataPath, setDateFormatter, setDecimalPad, setDecimalPrecision, setDefaultIconSrc, setDefaultOperator, setDefaultProperties, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDeferActionConversion, setDisabled, setDisabledHover, setDisableIconsOnReadOnly, setDisplayFormat, setDisplayFormat, setEditorProperties, setEditorType, setEditorType, setEditorType, setEditorValueFormatter, setEditorValueParser, setEditPendingCSSText, setEmptyValueIcon, setEnableTitleClickWhenDisabled, setEndRow, setErrorFormatter, setErrorIconHeight, setErrorIconProperties, setErrorIconSrc, setErrorIconWidth, setErrorMessageWidth, setErrorOrientation, setErrors, setErrors, setExportFormat, setExtraControlTableCSS, setExtraTextBoxCSS, setFetchMissingValues, setForeignDisplayField, setFormat, setFormula, setGlobalTabIndex, setHeight, setHeight, setHidden, setHint, setHintStyle, setHoverAlign, setHoverDelay, setHoverFocusKey, setHoverHeight, setHoverHeight, setHoverOpacity, setHoverPersist, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWidth, setIconBaseStyle, setIconDisabled, setIconHeight, setIconHSpace, setIconPrompt, setIcons, setIconShowOnFocus, setIconVAlign, setIconWidth, setID, setImageURLPrefix, setImageURLSuffix, setImplicitSave, setImplicitSaveOnBlur, setInitHandler, setInputFormat, setInputTransformer, setItemHoverFormatter, setItemTitleHoverFormatter, setItemValueHoverFormatter, setJavaScriptObject, setLeft, setLinearColSpan, setLinearColSpan, setLinearEndRow, setLinearEndRow, setLinearStartRow, setLinearStartRow, setLinearWidth, setLinearWidth, setLoadingDisplayValue, setLocateItemBy, setMinHintWidth, setMultipleValueSeparator, setName, setNullOriginalValueText, setNullProperty, setOperator, setOptionCriteria, setOptionDataSource, setOptionFilterContext, setOptionTextMatchStyle, setOriginalValueMessage, setPermanentlyHidden, setPickerIconName, setPickerIconProperties, setPickerSnapEdge, setPickerSnapTo, setPrintReadOnlyTextBoxStyle, setPrintTextBoxStyle, setPrintTitleStyle, setPrompt, setProperty, setProperty, setProperty, setProperty, setProperty, setReadOnlyCanSelectText, setReadOnlyControlStyle, setReadOnlyDisplay, setReadOnlyHover, setReadOnlyTextBoxStyle, setReadOnlyWhen, setRedrawOnChange, setRejectInvalidValueOnChange, setRequired, setRequiredMessage, setRequiredRightTitlePrefix, setRequiredRightTitleSuffix, setRequiredTitlePrefix, setRequiredTitleSuffix, setRequiredWhen, setRightTitlePrefix, setRightTitleSuffix, setRowSpan, setScClassName, setSelectOnClick, setSelectOnFocus, setShouldSaveValue, setShowClippedTitleOnHover, setShowClippedValueOnHover, setShowDeletions, setShowDisabled, setShowDisabledIconsOnFocus, setShowDisabledPickerIconOnFocus, setShowErrorIcon, setShowErrorIconInline, setShowErrorStyle, setShowErrorText, setShowFocusedErrorState, setShowFocusedIcons, setShowFocusedPickerIcon, setShowHint, setShowIcons, setShowIconsOnFocus, setShowIfCondition, setShowImageAsURL, setShowOldValueInHover, setShowOverIcons, setShowPending, setShowPickerIconOnFocus, setShowPickerOnFocus, setShowPickerOnFocusDelay, setShowRTL, setShowTitle, setShowValueIconOnly, setShowVoiceAssistIcon, setStartRow, setStateCustomizer, setStaticHeight, setStopOnError, setStoreDisplayValues, setSupportsCutPasteEvents, setSuppressOptionDSFallback, setSuppressValueIcon, setSynchronousValidation, setTabIndex, setTextAlign, setTextBoxVPad, setTextFormula, setTimeFormatter, setTitle, setTitleAlign, setTitleColSpan, setTitleHoverFormatter, setTitleOrientation, setTitlePrefix, setTitleStyle, setTitleSuffix, setTitleVAlign, setTooltip, setTop, setTreatEmptyAsNull, setType, setUpdatePickerIconOnOver, setUseAdvancedCriteria, setUseDisabledHintStyleForReadOnly, setUseLocalDisplayFieldValue, setUseObjectFactoryForTypeFallback, setValidateOnChange, setValidateOnExit, setValidators, setValidOperators, setVAlign, setValue, setValue, setValue, setValue, setValue, setValue, setValueByDisplayValue, setValueByDisplayValue, setValueDeselectedCSSText, setValueFormatter, setValueHoverFormatter, setValueIconAriaRole, setValueIconHeight, setValueIconLeftPadding, setValueIconMapper, setValueIconRightPadding, setValueIcons, setValueIconSize, setValueIconWidth, setValueMap, setValueMap, setVisible, setVisibleWhen, setWarnOnEditorTypeConversion, setWarnOnEditorTypeConversionDefault, setWidth, setWidth, setWrapHintText, setWrapStaticValue, setWrapTitle, shouldApplyHeightToTextBox, shouldFetchMissingValue, shouldSaveOnEnter, shouldStopKeyPressBubbling, show, showIcon, stopHover, storeValue, storeValue, updateState, validate, valueClipped`

  ### Methods inherited from class com.smartgwt.client.data.Field

  `getCanExport, getExportTitle, getPrimaryKey, getSortByField, setCanExport, setExportTitle, setPrimaryKey, setSortByField`

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsIntArray, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Constructor Details

  - ### SelectOtherItem

    public SelectOtherItem()

  - ### SelectOtherItem

    public SelectOtherItem(JavaScriptObject jsObj)

  - ### SelectOtherItem

    public SelectOtherItem(String name)

  - ### SelectOtherItem

    public SelectOtherItem(String name, String title)

- ## Method Details

  - ### getOrCreateRef

    public static SelectOtherItem getOrCreateRef(JavaScriptObject jsObj)

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, Canvas defaults)
    Changes the defaults for Canvas AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, FormItem defaults)
    Changes the defaults for FormItem AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### changePickerIconDefaults

    public static void changePickerIconDefaults(FormItemIcon defaults)

  - ### setDialogWidth

    public SelectOtherItem setDialogWidth(int dialogWidth)
    Width for the "other value" prompt dialog.
    Parameters:
      `dialogWidth` - New dialogWidth value. Default value is 250
    Returns:
      `SelectOtherItem` instance, for chaining setter calls

  - ### getDialogWidth

    public int getDialogWidth()
    Width for the "other value" prompt dialog.
    Returns:
      Current dialogWidth value. Default value is 250

  - ### setOtherTitle

    public SelectOtherItem setOtherTitle(String otherTitle)
    Title for the `Other...` item. When this item is selected, the user will be shown a prompt allowing them to enter a new value for the item.
    Parameters:
      `otherTitle` - New otherTitle value. Default value is "Other..."
    Returns:
      `SelectOtherItem` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getOtherTitle

    public String getOtherTitle()
    Title for the `Other...` item. When this item is selected, the user will be shown a prompt allowing them to enter a new value for the item.
    Returns:
      Current otherTitle value. Default value is "Other..."
    See Also:
      - `Appearance overview and related methods`

  - ### setOtherValue

    public SelectOtherItem setOtherValue(String otherValue)
    Data value for the `Other...` item. If necessary this value may be changed to ensure it doesn't collide with any data values in this item's `valueMap`.

    Note : This is an advanced setting

    Parameters:
      `otherValue` - New otherValue value. Default value is "***other***"
    Returns:
      `SelectOtherItem` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getOtherValue

    public String getOtherValue()
    Data value for the `Other...` item. If necessary this value may be changed to ensure it doesn't collide with any data values in this item's `valueMap`.
    Returns:
      Current otherValue value. Default value is "***other***"
    See Also:
      - `Appearance overview and related methods`

  - ### setSelectOtherPrompt

    public SelectOtherItem setSelectOtherPrompt(String selectOtherPrompt)
    Title to show in prompt for "other" value. Note this is a dynamic string. JavaScript content is supported within `${...}` tags, with local variables for `item` (a pointer to this item) and `value` a pointer to the currently selected item value.
    Parameters:
      `selectOtherPrompt` - New selectOtherPrompt value. Default value is "Other value for <br>${item.getTitle()}?"
    Returns:
      `SelectOtherItem` instance, for chaining setter calls
    See Also:
      - `HTMLString`

  - ### getSelectOtherPrompt

    public String getSelectOtherPrompt()
    Title to show in prompt for "other" value. Note this is a dynamic string. JavaScript content is supported within `${...}` tags, with local variables for `item` (a pointer to this item) and `value` a pointer to the currently selected item value.
    Returns:
      Current selectOtherPrompt value. Default value is "Other value for <br>${item.getTitle()}?"
    See Also:
      - `HTMLString`

  - ### setSeparatorTitle

    public SelectOtherItem setSeparatorTitle(String separatorTitle)
    Title for the separator between normal items and the `Other...` item in the drop down list. Selecting this item will not change the FormItem's value.
    Parameters:
      `separatorTitle` - New separatorTitle value. Default value is "--------------------"
    Returns:
      `SelectOtherItem` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getSeparatorTitle

    public String getSeparatorTitle()
    Title for the separator between normal items and the `Other...` item in the drop down list. Selecting this item will not change the FormItem's value.
    Returns:
      Current separatorTitle value. Default value is "--------------------"
    See Also:
      - `Appearance overview and related methods`

  - ### setSeparatorValue

    public SelectOtherItem setSeparatorValue(String separatorValue)
    Value for the separator item between normal items and the `Other...` value. If necessary the value may be changed to ensure it doesn't collide with any data values in this item's `valueMap`.

    Note : This is an advanced setting

    Parameters:
      `separatorValue` - New separatorValue value. Default value is "----"
    Returns:
      `SelectOtherItem` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getSeparatorValue

    public String getSeparatorValue()
    Value for the separator item between normal items and the `Other...` value. If necessary the value may be changed to ensure it doesn't collide with any data values in this item's `valueMap`.
    Returns:
      Current separatorValue value. Default value is "----"
    See Also:
      - `Appearance overview and related methods`

  - ### setDefaultProperties

    public static void setDefaultProperties(SelectOtherItem selectOtherItemProperties)
    Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties of the class instance passed to this function. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

    Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

    Parameters:
      `selectOtherItemProperties` - properties that should be used as new defaults when instances of this class are created
    See Also:
      - `SGWTProperties`